> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List saved Payment Methods

> the inactive ones but not the detached ones

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml GET /v1/c/customer/{customer_id}/payment/method
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/payment/method:
    get:
      tags:
        - payment-method
      summary: Return all payment methods of a customer, including
      description: the inactive ones but not the detached ones
      operationId: list_payment_method
      parameters:
        - name: customer_id
          in: path
          description: Id of the customer
          required: true
          schema:
            type: string
      responses:
        '200':
          description: customer payment methods
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/outbound.payment.CustomerPaymentMethod'
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    outbound.payment.CustomerPaymentMethod:
      type: object
      description: |-
        Either a Card or a Sepa Debit authorization, and the
        provider.

        Only fields starting with card_ or fields starting
        with ssd_ can be filled.
      required:
        - id
        - provider
        - status
        - created
        - method_type
        - details
      properties:
        created:
          type: string
          format: date-time
          description: Date the payment method was configured
        details:
          $ref: '#/components/schemas/CustomerPaymentMethodDetails'
        holder_name:
          type: string
          description: Name on the credit card
          nullable: true
        id:
          $ref: '#/components/schemas/Id'
        method_type:
          $ref: '#/components/schemas/core.payment.CustomerPaymentMethodType'
        preference:
          type: integer
          format: int32
          description: >-
            Priority of the configured payment method. Smaller number is higher
            priority
          nullable: true
        provider:
          $ref: '#/components/schemas/core.payment.Provider'
        status:
          $ref: '#/components/schemas/core.payment.CustomerPaymentMethodStatus'
    CustomerPaymentMethodDetails:
      oneOf:
        - type: object
          required:
            - Card
          properties:
            Card:
              $ref: '#/components/schemas/PaymentMethodCardDetails'
        - type: object
          required:
            - SepaDebit
          properties:
            SepaDebit:
              $ref: '#/components/schemas/PaymentMethodSepaDebitDetails'
        - type: object
          required:
            - VbanBankTransferEu
          properties:
            VbanBankTransferEu:
              $ref: >-
                #/components/schemas/outbound.payment.PaymentMethodVbanBankTransferEuDetails
      description: |-
        Details about the configured payment method
        * Card - credit card
        * SepaDebit - SEPA bank payments
    Id:
      type: string
      description: >-
        Unique identifier of an object. Consists of object class prefix and a
        UUID
      example: Cust_c40bea18-c0c9-44b1-bd0c-43f5283e1670
    core.payment.CustomerPaymentMethodType:
      type: string
      description: |-
        Type of the Payment Method:
        * Card - Credit Card
        * SepaDebit - SEPA bank transfer
      enum:
        - card
        - sepa_debit
        - vban_bank_transfer_eu
    core.payment.Provider:
      type: string
      description: |-
        The payment providers known by the backend.

        Those variants MUST be kept identical to the variants of
        the payment_provider enum of the postgres database
      enum:
        - authorize
        - self_handled
        - stripe
      example: stripe
    core.payment.CustomerPaymentMethodStatus:
      type: string
      description: |-
        Payment Method Status:
        * Active - can be used
        * Inactive - disabled. Might be re-enabled
        * Detached - disabled, can not be re-activated
        * Invalid - error using payment method
      enum:
        - active
        - inactive
        - detached
        - invalid
    PaymentMethodCardDetails:
      type: object
      description: Details of the attached credit card, configured as a payment method
      required:
        - brand
        - expiration
        - last_digits
      properties:
        brand:
          type: string
          description: Credit card brand - Visa, MasterCard, American Express etc
        expiration:
          type: string
          description: Credit card expiration date. Follows MM/YY format
        last_digits:
          type: string
          description: Last 4 digits of the credit card
    PaymentMethodSepaDebitDetails:
      type: object
      description: Details of the configured payment method for SEPA payments
      properties:
        bank_code:
          type: string
          description: Code of the bank
          nullable: true
        branch_code:
          type: string
          description: Code of the bank branch
          nullable: true
        country:
          type: string
          description: Country code of the bank
          nullable: true
        last_digits:
          type: string
          description: Last digits of the bank account
          nullable: true
    outbound.payment.PaymentMethodVbanBankTransferEuDetails:
      type: object
      description: Bank details that the Customer can use to settle invoices
      required:
        - account_holder_name
        - bic
        - country
        - iban
      properties:
        account_holder_name:
          type: string
          description: Name of the account holder
        bic:
          type: string
          description: Business Identifier Code
        country:
          type: string
          description: Country of the bank account
        iban:
          type: string
          description: IBAN
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````